MediaWiki:Icon.css

From Honkai: Nexus Anima Wiki
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* For [[T:Icon]]'s corner elements */
.icon-corner {
	position: relative;
	display: inline-block;
}
.icon-corner > .icon-corner-top-left {
	position: absolute;
	top: 0;
	left: 0;
}
.icon-corner > .icon-corner-top-right {
	position: absolute;
	top: 0;
	right: 0;
}
.icon-corner > .icon-corner-bottom-left {
	position: absolute;
	bottom: 0;
	left: 0;
}
.icon-corner > .icon-corner-bottom-right {
	position: absolute;
	bottom: 0;
	right: 0;
}
/* Avoid mobile's extra margin */
.icon-corner > .article-media-thumbnail {
	margin: 0;
}